home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
ASME's Mechanical Engine…ing Toolkit 1997 December
/
ASME's Mechanical Engineering Toolkit 1997 December.iso
/
auto_cad
/
tht.lsp
< prev
next >
Wrap
Text File
|
1988-08-11
|
2KB
|
49 lines
(defun texht (lyr sty thr nsz / ent nnt)
(prompt "\nScanning the entity database...")
(setq ename (entnext))
(while ename
(setq ent (entget ename))
(if
(and
(= (cdr(assoc 0 ent)) "TEXT")
(if (= lyr "") T (=(cdr(assoc 8 ent)) lyr))
(if (= sty "") T (=(cdr(assoc 7 ent)) sty))
(if (null thr) T (=(cdr(assoc 40 ent)) thr))
)
(progn
(setq nnt (subst (cons 40 nsz) (assoc 40 ent) ent))
(entmod nnt)
)
)
(setq ename (entnext (cdar ent)))
)
)
(defun c:tht (/ lyr sty thr)
(if
(null (setq ent(car(entsel "Pick an entity or <RETURN> to specify : "))))
(progn
(setq lyr (strcase (getstring " Layer name for changed text <All>: ")))
(setq sty (strcase (getstring " Style name for changed text <All>: ")))
(setq thr (getreal " Text height to search for <All>: "))
)
(progn
(setq ent (entget ent))
(setq
lyr (cdr(assoc 8 ent))
sty (cdr(assoc 7 ent))
thr (cdr(assoc 40 ent))
)
)
)
(setq nsz (getreal "\n Enter new height for chosen text: "))
(texht lyr sty thr nsz)
)
sty (cdr(assoc 7 ent))
thr (cdr(assoc 40 ent))
)
)
)
(setq nsz (getreal "\n Enter new height for cho